Skip to main content
GET
Get reward fulfillments

Authorizations

Authorization
string
header
required

Path Parameters

reward_id
string
required

Extole-assigned unique identifier for the reward.

Response

Successful response

amount
number | null
required

Monetary amount disbursed during fulfillment. Null if not applicable.

cost_code
string | null
required

Cost accounting code used for this fulfillment. Null if not applicable.

created_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

face_value
number | null
required

Face value of the reward at time of fulfillment. Deprecated.

face_value_type
enum<string> | null
required

Face value type of the reward at time of fulfillment. Deprecated.

Available options:
AUD,
BRL,
CAD,
CNY,
EUR,
GBP,
HKD,
INR,
JPY,
KRW,
MONTH,
MXN,
NZD,
PERCENT_OFF,
POINTS,
TRY,
TWD,
USD
message
string
required

Human-readable message from the fulfillment attempt.

operator_user_id
string
required

Extole user id of the operator who triggered this fulfillment, if applicable.

partner_reward_id
string | null
required

Partner-assigned identifier for the reward. Null if not yet assigned.

reward_id
string
required

Extole-assigned unique identifier for the reward.

success
boolean
required

Whether the fulfillment was successful.